org.eclipse.rdf4j.sail.lucene

## Class SearchIndexQueryContextInitializer

- java.lang.Object
- - org.eclipse.rdf4j.sail.lucene.SearchIndexQueryContextInitializer

- All Implemented Interfaces:
    QueryContextInitializer

      public class SearchIndexQueryContextInitializer
      extends Object
      implements QueryContextInitializer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchIndexQueryContextInitializer(SearchIndex searchIndex)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy(QueryContext qctx)` Called before a QueryContext has ended.
    `static SearchIndex` | `getSearchIndex(QueryContext qctx)`
    `void` | `init(QueryContext qctx)` Called after a QueryContext has begun.
    `static void` | `init(QueryContext qctx, SearchIndex searchIndex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchIndexQueryContextInitializer

          public SearchIndexQueryContextInitializer(SearchIndex searchIndex)

  - ### Method Detail

    - #### init

          public static void init(QueryContext qctx,
                                  SearchIndex searchIndex)

    - #### getSearchIndex

          public static SearchIndex getSearchIndex(QueryContext qctx)

    - #### init

          public void init(QueryContext qctx)

      Description copied from interface: `QueryContextInitializer`
      Called after a QueryContext has begun.
      Specified by:
        `init` in interface `QueryContextInitializer`

    - #### destroy

          public void destroy(QueryContext qctx)

      Description copied from interface: `QueryContextInitializer`
      Called before a QueryContext has ended.
      Specified by:
        `destroy` in interface `QueryContextInitializer`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.